Subject: [tcpm] 793bis: Reducing TIME-WAIT (RFC 6191)

From: Wesley Eddy <[email-masked]>
Date: Mon, 13 Nov 2017 14:43:40 -0500

In the latest RFC 796bis update, I added references in a few places to 
mention RFC 6191 (it is reference "[26]" to aid your grepping).  Since 
6191 uses Timestamp options, that are not part of the base 
specification, I think it's proper to have references encouraging it, 
but not requiring it or including it directly in 793bis.

The mentions I've added are:

(1) On page 31, when TIME-WAIT is described, and the reduction algorithm 
from 1122 is included now.  I put "SHOULD be implemented" for this, 
since it's definitely helpful, but one could live without it.

(2) On page 71, with relation to handing sequence number validation for 
incoming segments in the synchronized states. (since the TIME-WAIT 
reduction from 1122 uses the sequence number comparison here)

(3) On page 74, in the description specific to the SYN bit being set 
when already in the synchronized states.

Please shout if you think this should be handled differently.